# Create a billing meter event adjustment

Creates a meter event adjustment to cancel a previously sent meter event.

## Request

```curl
curl -X POST https://api.stripe.com/v2/billing/meter_event_adjustments \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2025-04-30.preview" \
  --json '{
    "event_name": "ai_search_api",
    "type": "cancel",
    "cancel": {
        "identifier": "idmp_12345678"
    }
  }'
```

### Response

```json
{
  "object": "v2.billing.meter_event_adjustment",
  "id": "mtr_event_adj_12345678",
  "livemode": false,
  "created": "2024-06-01T12:00:00.000Z",
  "status": "pending",
  "event_name": "ai_search_api",
  "type": "cancel",
  "cancel": {
    "identifier": "idmp_12345678"
  }
}
```

## Parameters

- [`cancel`](https://docs.stripe.com/api/v2/billing/meter-event-adjustments/create.md?query=cancel&api-version=2025-04-30.preview) (object, required)
  Specifies which event to cancel.

- `event_name` (string, required)
  The name of the meter event. Corresponds with the `event_name` field on a meter.

- `type` (enum, required)
  Specifies whether to cancel a single event or a range of events for a time period. Time period cancellation is not supported yet.
Possible enum values:
  - `cancel`
    Cancel a single meter event by identifier.

## Returns

## Response attributes

- `id` (string)
  The unique id of this meter event adjustment.

- `object` (string, value is "v2.billing.meter_event_adjustment")
  String representing the object’s type. Objects of the same type share the same value of the object field.

- [`cancel`](https://docs.stripe.com/api/v2/billing/meter-event-adjustments/create.md?query=cancel&api-version=2025-04-30.preview) (object)
  Specifies which event to cancel.

- `created` (timestamp)
  The time the adjustment was created.

- `event_name` (string)
  The name of the meter event. Corresponds with the `event_name` field on a meter.

- `livemode` (boolean)
  Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.

- `status` (enum)
  The meter event adjustment’s status.
Possible enum values:
  - `complete`
    The event adjustment has been processed.

  - `pending`
    The event adjustment is still being processed.

- `type` (enum)
  Specifies whether to cancel a single event or a range of events for a time period. Time period cancellation is not supported yet.
Possible enum values:
  - `cancel`
    Cancel a single meter event by identifier.

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 400 | invalid_cancel_configuration | The adjustment configuration is invalid for the adjustment type. |
